Bug 2047 - [UPDATE REQUEST] systemd-194-20
: [UPDATE REQUEST] systemd-194-20
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 22:28 MSD by Aleksandr Kazantcev
Modified: 2013-05-27 12:55 MSD (History)
3 users (show)

See Also:
RPM Package: systemd-194-20.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-05-23 22:28:54 MSD
194-20
Comment 1 Aleksandr Kazantcev 2013-05-23 22:30:57 MSD
https://abf.rosalinux.ru/build_lists/1108365
https://abf.rosalinux.ru/build_lists/1108364

Advisory: This update release this features:
- add workaround for logind.conf if systemd < 198 and desktop=KDE
- fix garbage in /var/tmp/systemd-private-*
- Add X options to tmpfile config
- Fix sync in shutdown
- Add initial realization hybrid-sleep mode
Comment 2 Vladimir Potapov 2013-05-24 15:28:20 MSD
The package route to extended testing
Comment 3 Postnikov Dmitry 2013-05-24 15:30:22 MSD
(In reply to comment #2)
> The package route to extended testing

Take to work... (repo from ABF + kernel 3.8.12)
Comment 4 Postnikov Dmitry 2013-05-26 22:02:49 MSD
********************************
Extended testing report
******************************

http://cdn.2safe.com/566366033558/Postnikov-all(systemd-194-20+kernel3.8.12).zip
Comment 5 Aleksandr Kazantcev 2013-05-26 22:40:26 MSD
Restart DBUS on working session is deprecate  and dangerous - this broke system communication as you see and system need clear all wrong part after restart.

All other errors related to this non-standart manipulation. Systemd instead SysVInit need more carefully manipulation with services.
Comment 6 Vladimir Potapov 2013-05-27 06:36:15 MSD
(In reply to comment #4)
> ********************************
> Extended testing report
> ******************************
> 
> http://cdn.2safe.com/566366033558/Postnikov-all(systemd-194-20+kernel3.8.12).
> zip
Please, write REGRESSION!!!
Comment 7 Postnikov Dmitry 2013-05-27 09:42:49 MSD
One regression:

================
May 27 09:37:52 localhost dbus-daemon[1648]: dbus[1648]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.26" (uid=500 pid=2644 comm="kdeinit4: kded4 [kdeinit]                       ") interface="org.freedesktop.login1.Manager" member="CanHybridSleep" error name="(unset)" requested_reply="0" destination="org.freedesktop.login1" (uid=0 pid=1642 comm="/lib/systemd/systemd-logind ")
===============
Comment 8 Aleksandr Kazantcev 2013-05-27 09:56:34 MSD
This is not regression - we add to systemd hybrid sleep  support, but kde4 not support it (i think with systemd < 198 especially). We add this function as experimental and this is only warning.
Comment 9 Postnikov Dmitry 2013-05-27 10:14:33 MSD
(In reply to comment #8)
> This is not regression - we add to systemd hybrid sleep  support, but kde4
> not support it (i think with systemd < 198 especially). We add this function
> as experimental and this is only warning.

Then regressions no.
Comment 10 Vladimir Potapov 2013-05-27 11:24:18 MSD
systemd-194-20-rosa2012.1
******************** Advisory *****************
The update release
add workaround for logind.conf if systemd < 198 and desktop=KDE
******************* Changelog ****************
- fix garbage in /var/tmp/systemd-private-*
- Add X options to tmpfile config
- Fix sync in shutdown
- Add initial realization hybrid-sleep mode
**********************************************
QA Verified